-#!/bin/bash
+#!/usr/bin/env bash
# SPDX-License-Identifier: MIT
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
unset LC_CTYPE
unset LANG
git fetch -a -t
git reset --hard origin/gpu/rust-wip;
source "$HOME/.cargo/env"
- curl -sL https://tg.st/u/3007a82fe2f3ef7d91945e1cb3e5a167f8d6b0550ecb67850d1cd85f3efa112e.config > .config
+ curl -o .config https://tg.st/u/92ad8143f16d51179975a7dc5f4a50990f57a20c97668a0be746a118f992ed63.config
make LLVM=-14 olddefconfig
make LLVM=-14 -j `nproc` V=0 > /dev/null
- sudo make LLVM=-14 modules_install
+ # sudo make LLVM=-14 V=0 modules_install > /dev/null
sudo make LLVM=-14 install
)
}
test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
cd u-boot
git fetch -a -t
- git reset --hard origin/asahi;
- curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
+ git reset --hard asahi-v2022.10-1;
+
make apple_m1_defconfig
make -j `nproc`
)
mkdir -p build
cd build
-build_linux
+# build_linux
build_m1n1
build_uboot